<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>SmsTemplateServiceImpl.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">astrapay-otp</a> &gt; <a href="index.source.html" class="el_package">com.astrapay.otp.service.impl</a> &gt; <span class="el_source">SmsTemplateServiceImpl.java</span></div><h1>SmsTemplateServiceImpl.java</h1><pre class="source lang-java linenums">package com.astrapay.otp.service.impl;

import java.text.MessageFormat;

import com.astrapay.otp.bean.SmsContent;
import com.astrapay.otp.service.SmsTemplateService;

import org.springframework.stereotype.Service;

@Service(&quot;smsTemplateService&quot;)
<span class="fc" id="L11">public class SmsTemplateServiceImpl implements SmsTemplateService {</span>
    @Override
	public String setMessageWithParam(String templates, SmsContent dto) {
<span class="nc" id="L14">		return (new MessageFormat(templates)).format(new String[] { dto.getOtpValue(), dto.getOrgPhoneNumber(),</span>
<span class="nc" id="L15">				dto.getAmount(), dto.getTrxNumber(), dto.getRefNumber(), dto.getOrgName(), dto.getFullName(),</span>
<span class="nc" id="L16">				dto.getPassword(), dto.getOldPhoneNumber(), dto.getNewPhoneNumber(), dto.getAccountNumber(),dto.getMerchant(),dto.getType() });</span>
	}

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>